<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
  
  case 'name' :
    
    switch ($typeFind){
      case 'doc':
        $o_ObjectBean = new DocenteBean();
        $o_ObjectBean->setCodigoDocente($value);
        $o_class = new DocenteBL();
        $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);
        
        if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el código : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'alm':
        $o_ObjectBean = new AlumnoBean();
        $o_ObjectBean->setCodigoAlumno($value);
        $o_class = new AlumnoBL();
        $a_ObjectBean = $o_class->busquedaAlumno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el código : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
      break;
      case 'ext':
        $o_ObjectBean = new ExternoBean();
        $o_ObjectBean->setCodigo($value);
        $o_class = new ExternoBL();
        $a_ObjectBean = $o_class->busquedaExterno($o_ObjectBean);
        
        if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
          $tmp = array($nombreElm=>$a_ObjectBean[0]->getNombre());
        }else{
          $tmp = array($nombreElm=>"&nbsp;", "function(){elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;No se encontro registros con el código : ".$value."'); setTimeout('elementLoad.hide()',1000);}"=>"");
        }
        
      break;
    }
    
    $scadena = utilJson::generateJsonElment($tmp);
    
    header("X-JSON: ".$scadena);
    
  break;
  
}

?>